ldns_sha1_ctx Struct Reference

`#include <sha1.h>`

## Data Fields

uint32_t | state [5]
uint64_t | count
unsigned char | buffer [64]

## Detailed Description

Definition at line 18 of file sha1.h.

## Field Documentation

## state

uint32_t ldns_sha1_ctx::state[5]

Definition at line 19 of file sha1.h.

## count

uint64_t ldns_sha1_ctx::count

Definition at line 20 of file sha1.h.

## buffer

unsigned char ldns_sha1_ctx::buffer[64]

Definition at line 21 of file sha1.h.